#
# spec file for package python-flaky
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-flaky
Version:        3.4.0
Release:        150400.12.6
Summary:        Plugin for nose or py.test that automatically reruns flaky tests
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/box/flaky
Source:         https://files.pythonhosted.org/packages/source/f/flaky/flaky-%{version}.tar.gz
# PATCH-FIX-UPSTREAM pytest41-compatibility.patch gh#box/flaky#139 mcepl@suse.com
# pytest 4.1 compatibility
Patch0:         pytest41-compatibility.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  fdupes
BuildArch:      noarch
%python_subpackages

%description
Flaky is a plugin for nose or py.test that automatically reruns flaky tests.

Ideally, tests reliably pass or fail, but sometimes test fixtures must rely on components that aren't 100%
reliable. With flaky, instead of removing those tests or marking them to @skip, they can be automatically
retried.

For more information about flaky, see `this presentation <http://opensource.box.com/flaky/>`_.

%prep
%autosetup -p1 -n flaky-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%{python_sitelib}/flaky-%{version}*-info/
%{python_sitelib}/flaky*

%changelog
* Thu Apr  7 2022 mcepl@suse.com
- Add pytest41-compatibility.patch to make the package compatible
  with pytest 4.1+ (bsc#1197844).
* Thu Nov  9 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 3.4.0:
  * Bugfixes - Flaky for pytest will no longer silently swallow errors
    that occur during test setup.
* Tue Dec 20 2016 jmatejek@suse.com
- initial commit
